# $Revision: 1.5 $, $Date: 2007/02/12 22:09:11 $
#
# Conditional build:
%bcond_without	autodeps	# don't BR packages needed only for resolving deps
%bcond_with	tests		# perform "make test"
#				  (need root access to open a network device)
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	POE
%define		pnam	Component-Pcap
Summary:	POE::Component::Pcap - POE interface to Net::Pcap
Summary(pl.UTF-8):	POE::Component::Pcap - interfejs POE do Net::Pcap
Name:		perl-POE-Component-Pcap
Version:	0.04
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	11c6e6babcb8ee0b6a3c247c04059dc1
URL:		http://search.cpan.org/dist/POE-Component-Pcap/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with autodeps} || %{with tests}
BuildRequires:	perl-Net-Pcap >= 0.04
BuildRequires:	perl-NetPacket >= 0.01
BuildRequires:	perl-POE >= 0.26
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
POE::Component::Pcap provides a wrapper for using the Net::Pcap module
from POE programs. The component creates a separate session which
posts events to a specified session and state when packets are
available.

%description -l pl.UTF-8
POE::Component::Pcap dostarcza wrapper do używania modułu Net::Pcap z
poziomu programów POE. Komponent ten tworzy oddzielną sesję wysyłającą
zdarzenia do określonej sesji i stanu, kiedy pakiety są dostępne.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install eg/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES README
%{perl_vendorlib}/POE/Component/Pcap.pm
%dir %{_examplesdir}/%{name}-%{version}
%{_examplesdir}/%{name}-%{version}/*
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-POE-Component-Pcap.spec,v $
Revision 1.5  2007/02/12 22:09:11  glen
- tabs in preamble

Revision 1.4  2007/02/12 01:06:43  baggins
- converted to UTF-8

Revision 1.3  2006/10/26 16:25:13  ankry
- disable tests, rel. 1

Revision 1.2  2006/08/20 11:31:11  qboosh
- descs, pl, cleaned up the mess

Revision 1.1  2006/08/06 22:00:22  agaran
- initial, version 0.04, rel 0.1, builds here, tests are broken (require uid0)
